@echo off
set FORCECOMENABLE=
if "%1" EQU "" goto USAGE
if "%1" EQU "/printer-air" (
set FORCECOMENABLE=1
set /p FORCECOMPORTLIST=< force-com-setting-printer-air.txt
goto CONT
)
if "%1" EQU "/printer-standard" (
set FORCECOMENABLE=0
set /p FORCECOMPORTLIST=< force-com-setting-standard.txt
goto CONT
)
if "%1" EQU "/scanner" (
set FORCECOMENABLE=0
set /p FORCECOMPORTLIST=< force-com-setting-standard.txt
goto CONT
)
:USAGE
echo Usage: 
echo "set-force-com-port-setting.bat [/printer-air | /printer-standard | /scanner]"
echo  where: 
echo  /printer-air        -- primary device group is printer device for Airline
echo  /printer-standard   -- primary device group is standard printer device
echo  /scanner            -- scanner device group
goto DONE
:CONT
@rem ...
@rem reg delete HKLM\SYSTEM\CurrentControlSet\Services\honeywell_cdc\Parameters /v ForceComPortsEnable /f > nul 2>&1
@rem reg delete HKLM\SYSTEM\CurrentControlSet\Services\honeywell_cdc\Parameters /v ForceComPortsList /f > nul 2>&1
reg add HKLM\SYSTEM\CurrentControlSet\Services\honeywell_cdc\Parameters /v ForceComPortsList /t REG_SZ /d "%FORCECOMPORTLIST%" /f > nul 2>&1
reg add HKLM\SYSTEM\CurrentControlSet\Services\honeywell_cdc\Parameters /v ForceComPortsEnable /t REG_DWORD /d %FORCECOMENABLE% /f > nul 2>&1
:DONE


